# gst validate bin monitor

TODO

## GstValidateBinMonitor

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMonitor
                    ╰──GstValidateElementMonitor
                        ╰──GstValidateBinMonitor
                            ╰──GstValidatePipelineMonitor

GStreamer Validate BinMonitor class.

Class that wraps a GstBin for Validate checks

### Members

`parent` (GstValidateElementMonitor) –
No description available
`element_monitors` (GList *) –
No description available
`scenario` (GstValidateScenario *) –
No description available

### Class structure

#### GstValidateBinMonitorClass

GStreamer Validate BinMonitor object class.

##### Fields

`parent_class` (GstValidateElementMonitorClass) –

parent

### GstValidate.BinMonitorClass

GStreamer Validate BinMonitor object class.

##### Attributes

`parent_class` (GstValidate.ElementMonitorClass) –

parent

### GstValidate.BinMonitorClass

GStreamer Validate BinMonitor object class.

##### Attributes

`parent_class` (GstValidate.ElementMonitorClass) –

parent

## GstValidate.BinMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                        ╰──GstValidate.BinMonitor
                            ╰──GstValidate.PipelineMonitor

GStreamer Validate BinMonitor class.

Class that wraps a Gst.Bin for Validate checks

### Members

`parent` (GstValidate.ElementMonitor) –
No description available
`element_monitors` ([ Object ]) –
No description available
`scenario` (GstValidate.Scenario) –
No description available

## GstValidate.BinMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                        ╰──GstValidate.BinMonitor
                            ╰──GstValidate.PipelineMonitor

GStreamer Validate BinMonitor class.

Class that wraps a Gst.Bin for Validate checks

### Members

`parent` (GstValidate.ElementMonitor) –
No description available
`element_monitors` ([ object ]) –
No description available
`scenario` (GstValidate.Scenario) –
No description available

### Constructors

#### gst_validate_bin_monitor_new

    GstValidateBinMonitor *
    gst_validate_bin_monitor_new (GstBin * bin,
                                  GstValidateRunner * runner,
                                  GstValidateMonitor * parent)

Parameters:

`bin` ( [transfer: none]) –

a GstBin to run Validate on

`runner` ( [transfer: none]) –

a GstValidateRunner

`parent` ( [nullable]) –

The parent of the new monitor

Returns ( [transfer: full]) –

A GstValidateBinMonitor

#### GstValidate.BinMonitor.prototype.new

    function GstValidate.BinMonitor.prototype.new(bin: Gst.Bin, runner: GstValidate.Runner, parent: GstValidate.Monitor): {
        // javascript wrapper for 'gst_validate_bin_monitor_new'
    }

Parameters:

`bin` (Gst.Bin) –

a Gst.Bin to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.BinMonitor) –

A GstValidate.BinMonitor

#### GstValidate.BinMonitor.new

    def GstValidate.BinMonitor.new (bin, runner, parent):
        #python wrapper for 'gst_validate_bin_monitor_new'

Parameters:

`bin` (Gst.Bin) –

a Gst.Bin to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.BinMonitor) –

A GstValidate.BinMonitor

### Methods

#### gst_validate_bin_monitor_get_scenario

    GstValidateScenario *
    gst_validate_bin_monitor_get_scenario (GstValidateBinMonitor * monitor)

Parameters:

`monitor` –

A GstValidateBinMonitor

Returns ( [transfer: full][nullable]) –

The GstValidateScenario being executed under monitor watch

Since : 1.20

#### GstValidate.BinMonitor.prototype.get_scenario

    function GstValidate.BinMonitor.prototype.get_scenario(): {
        // javascript wrapper for 'gst_validate_bin_monitor_get_scenario'
    }

Parameters:

`monitor` (GstValidate.BinMonitor) –

A GstValidate.BinMonitor

Returns (GstValidate.Scenario) –

The GstValidate.Scenario being executed under monitor watch

Since : 1.20

#### GstValidate.BinMonitor.get_scenario

    def GstValidate.BinMonitor.get_scenario (self):
        #python wrapper for 'gst_validate_bin_monitor_get_scenario'

Parameters:

`monitor` (GstValidate.BinMonitor) –

A GstValidate.BinMonitor

Returns (GstValidate.Scenario) –

The GstValidate.Scenario being executed under monitor watch

Since : 1.20

### Properties

#### handles-states

    “handles-states” gboolean

Flags : Read

#### handles-states

    “handles-states” Number

Flags : Read

#### handles_states

    “self.props.handles_states” bool

Flags : Read

## Function Macros

### GST_IS_VALIDATE_BIN_MONITOR

    #define GST_IS_VALIDATE_BIN_MONITOR(obj)              (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_BIN_MONITOR))

### GST_IS_VALIDATE_BIN_MONITOR_CLASS

    #define GST_IS_VALIDATE_BIN_MONITOR_CLASS(klass)      (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_BIN_MONITOR))

### GST_VALIDATE_BIN_MONITOR_CAST

    #define GST_VALIDATE_BIN_MONITOR_CAST(obj)            ((GstValidateBinMonitor*)(obj))

### GST_VALIDATE_BIN_MONITOR_CLASS_CAST

    #define GST_VALIDATE_BIN_MONITOR_CLASS_CAST(klass)    ((GstValidateBinMonitorClass*)(klass))

## Constants

### GST_TYPE_VALIDATE_BIN_MONITOR

    #define GST_TYPE_VALIDATE_BIN_MONITOR			(gst_validate_bin_monitor_get_type ())

The results of the search are